@import url("https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,200;0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600&display=swap");

body {
  margin: 0;
  font-family: "Kanit", -apple-system, BlinkMacSystemFont, "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* containers */
.site-container {
  min-height: 100vh;
  transition: 0.4s;
}

.small-container {
  max-width: 600px;
  padding-top: 3rem;
}

/* header */
.color-header {
  background-color: #f05b33;
  padding: 1rem;
  font-weight: 400;
}

.app-title {
  font-weight: 600;
}

main {
  flex: 1;
  padding-bottom: 4rem;
  background-color: #f8d5cf;
}

/* product */
.our-products {
  text-align: center;
  color: #322725;
  padding-top: 3rem;
  padding-bottom: 1.2rem;
}

.products {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.product {
  border: 1px #ffffff solid;
  border-width: 0.6rem;
  border-radius: 8px;
  /* box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px -1px,
    rgba(0, 0, 0, 0.06) 0px 2px 4px -1px; */
  box-shadow: 0px 8px 16px #bf8a84;
  margin: 0.2rem;
}

.product:hover {
  box-shadow: 0px 16px 32px #92615b;
  transition: 0.2s ease-in-out;
  transform: scale(1.02);
  /* cursor: pointer; */
}

.product img {
  width: 100%;
  max-width: 400px;
  max-height: 400px;
}

.product-info {
  padding: 1rem;
  background-color: #ffffff;
}

.product-name {
  font-size: 1.25rem;
  font-weight: 500;
  color: #322725;
  text-decoration: none;
}

.product-name:hover {
  color: #f05b33;
  transition: 0.3s ease-in;
}

.product-price {
  font-size: 1.6rem;
  font-weight: 700;
  color: #322725;
}

.rating {
  padding-bottom: 0.5rem;
  padding-right: 1rem;
}

.rating span {
  color: #fcd666;
  padding-right: 0.1rem;
}

.product-details {
  padding-top: 4rem;
  border-radius: 8px;
}

/* card */
.card {
  border: none;
  border-radius: 8px;
}

/* cart */
.cart {
  padding-top: 3rem;
}

.cart-title {
  padding-bottom: 1.2rem;
}

.cart-item {
  text-decoration: none;
  color: #322725;
}

.cart-item:hover {
  color: #f05b33;
  transition: 0.2s ease-in;
}

.cart-empty {
  color: #f05b33;
  text-decoration: none;
  font-weight: 600;
  font-size: 1rem;
}

.cart-empty:hover {
  color: #dc3a19;
}

/* images */
.img-large {
  max-width: 100%;
  padding-top: 4rem;
}

.img-thumbnail {
  height: 80px;
}

.img-fluid {
  border: none;
}

/* list */
.list-group {
  border-radius: 8px;
}

.list-group-item {
  border: none;
}

.list-h1 {
  font-weight: 400;
  color: #322725;
}

.list-h3 {
  font-weight: 600;
  color: #322725;
}

.cart-listGroup {
  margin-bottom: 2rem;
}

/* form */
.div-form {
  display: block;
  text-align: center;
}

.login-form {
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
  width: 70%;
}

.form-check {
  font-size: 1.2rem;
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

/* subtitle */
.h5-subtitle {
  text-align: center;
  color: #322725;
}

/* paragraphs */
.p-label {
  font-size: 0.9rem;
  font-weight: 600;
  color: #c0c0c0;
  margin: 0;
  padding-bottom: 0.5rem;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.p-description {
  color: #555555;
  font-size: 1.1rem;
}

.t-label {
  font-size: 0.9rem;
  font-weight: 600;
  color: #555555;
  margin: 0;
  padding-bottom: 0.5rem;
  text-transform: uppercase;
  letter-spacing: 2px;
}

/* caption */
.caption {
  text-align: center;
}

/* buttons */
.primary-btn {
  background-color: #ffffff;
  border-color: #f05b33;
  color: #f05b33;
  border-radius: 8px;
  width: 100%;
}

.primary-btn:hover {
  background-color: #f05b33;
  border-style: none;
}

.card-btn {
  padding-top: 3rem;
}

.form-btn {
  background-color: #f39b75;
  border-style: none;
  padding-left: 3rem;
  padding-right: 3rem;
  margin-bottom: 0.5rem;
  text-align: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.form-btn:hover {
  background-color: #f05b33;
  border-style: none;
  padding-left: 3rem;
  padding-right: 3rem;
}

.register-btn {
  background-color: #f39b75;
  border-style: none;
  padding-left: 3rem;
  padding-right: 3rem;
  padding-top: 0.4rem;
  padding-bottom: 0.4rem;
  margin-bottom: 0.5rem;
  text-align: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 205px;
  text-decoration: none;
  color: white;
  border-radius: 4px;
}

.register-btn:hover {
  background-color: #f05b33;
  border-style: none;
  padding-left: 3rem;
  padding-right: 3rem;
  padding-top: 0.4rem;
  padding-bottom: 0.4rem;
  margin-bottom: 0.5rem;
  text-align: center;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 205px;
  text-decoration: none;
  color: white;
  border-radius: 4px;
}

.sidebar-btn:enabled {
  background-color: #f05b33;
  border-style: none;
  margin-right: 3rem;
}

.sidebar-btn:hover {
  background-color: #dc3a19;
  border-style: none;
  margin-right: 3rem;
}

.btn-outline-primary {
  background-color: #f39b75;
  border: none;
  color: #ffffff;
}

.btn-outline-primary:hover {
  background-color: #dc3a19;
  border: none;
}

.create-btn {
  background-color: #f05b33;
  border-style: none;
}

.create-btn:hover {
  background-color: #dc3a19;
  border-style: none;
}

.edit-btn {
  background-color: #f39b75;
  border: none;
  color: #ffffff;
}

.edit-btn:hover {
  background-color: #f05b33;
  border: none;
  color: #ffffff;
}

.delete-btn {
  background-color: #f8d5cf;
  color: #dc3a19;
  border-style: none;
}

.delete-btn:hover {
  background-color: #dc3a19;
  color: #f7f8fc;
  border-style: none;
}

/* badges */
.badge-s {
  font-weight: 400;
  font-size: 1rem;
  border-radius: 16px;
  border: none;
  background-color: #e7fff0 !important;
  color: #1fad66;
}

.badge-sec {
  font-weight: 400;
  font-size: 1rem;
  border-radius: 16px;
  border: none;
  background-color: #f7f8fc !important;
  color: #8c95a5;
}

/* sidebar */
.navbar-brand {
  font-weight: 600;
}

.side-navbar {
  width: 240px;
  height: 100%;
  position: absolute;
  left: -300px;
  transition: 0.5s;
}

.nav-link {
  text-decoration: none;
  color: #f05b33;
  font-size: 1.2rem;
  font-weight: 600;
}

.nav-link:hover {
  text-decoration: none;
  color: #dc3a19;
}

.nav-elem {
  margin: 1.5rem;
}

.active-cont {
  margin-left: 240px;
}

.active-nav {
  left: 0;
}

/* footer */
.footer {
  background-color: #f8d5cf;
  color: #322725;
  padding: 1.5rem;
}
